--
-- $Id$
--
-- <<Korte omschrijving wat het script doet>>

DEFINE thisfile = 'HOUT#57696.SQL'
DEFINE dbuser   = '^HOUT'

SET ECHO ON
SET DEFINE ON
COLUMN fcltlogfile NEW_VALUE fcltlogfile NOPRINT;
WHENEVER SQLERROR EXIT;
SELECT adm.scriptspoolfile('&dbuser', '&thisfile') AS fcltlogfile FROM DUAL;
WHENEVER SQLERROR CONTINUE;
SPOOL &fcltlogfile
SET DEFINE OFF

------ payload begin ------

-- Orginele plaats van de uitgeleende objecten aanpassen van een verwijderde werkplek naar ruimte (RTD-WT-6-06.03/1 (Kantoor)).
-- Op dit moment gaat het om twee objecten, de laptop "L6022" en een verwijderd object "Nokia 3109.
-- Dit is één van de twee ruimtes waar de persoon, waaraan de laptop "L6022" is uitgeleend, een werkplek heeft. Deze ruimte is willekeurig gekozen.
-- We weten niet wat de orginele plaats van de laptop en de telefoon was.
-- Na het innemen van de laptop kan deze plaats worden aangepast naar een andere ruimte, werkplek enz..
UPDATE ins_deel
   SET ins_alg_ruimte_type_org = 'R',
       ins_alg_ruimte_key_org = 1274
 WHERE ins_deel.ins_alg_ruimte_key_org IN (SELECT ins_alg_ruimte_key_org
                                             FROM ins_deel
                                            WHERE ins_alg_ruimte_type_org = 'W'
                                              AND NOT EXISTS
                                                      (SELECT 1
                                                         FROM prs_werkplek
                                                        WHERE prs_werkplek_key = ins_alg_ruimte_key_org))
   AND ins_deel.ins_alg_ruimte_type_org = 'W';

------ payload end   ------

SET DEFINE OFF
BEGIN adm.systrackscriptId ('$Id$', 1); END;
/

COMMIT;
SET ECHO OFF
SPOOL OFF
SET DEFINE ON
PROMPT Logfile of this upgrade is: &fcltlogfile
